View Issue Details

IDProjectCategoryView StatusLast Update
0002560Multi Theft Auto : San AndreasScriptingpublic2007-10-05 05:30
ReporterjbetaAssigned Tokevuwk 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformAMD Athlon(tm) 64 X2 ~2.2GHzOSWindows XP Professional x64 SP1OS Version5.2, Build 3790
Product Versionblue_sa.r2.a12 
Target VersionFixed in Versionmtasadm_v1.0-dp1 
Summary0002560: onClientResourceStart's source is the global root instead of the resource's root element
Description

Self explanatory. You can't attach initialization handlers to a resouce the same way as you can serverside.

Steps To Reproduce

/start mantis2560
/reconnect

TagsNo tags attached.

Activities

kevuwk

2007-09-27 05:49

administrator   ~~0005829

should be fixed tonight

jbeta

2007-10-01 02:50

updater   ~~0005871

Not fixed. The problem described in this changelog entry does still happen:

problem with resource starting before resource entity is available *onClientResourceStart source may be either the resource or root entity until i fix this

Specifically, it's root on start after joining, and resource entity on start for connected players.

Added test resource.

kevuwk

2007-10-05 05:30

administrator   ~~0005916

should definately be fixed this time

Issue History

Date Modified Username Field Change